﻿@{
	ViewData["Title"] = "Lista de usuarios";
}
@model ListaViewModel

<div class="container">
	<div class="row">
		<div class="col-sm-12">
			<table class="table table-bordered">
				<thead>
					<tr>
						<th>ID</th>
						<th>Nombre</th>
						<th>Sexo</th>
						<th>Fecha nacimiento</th>
						<th class="text-center">Acciones</th>
					</tr>
				</thead>
				<tbody>
					@foreach (ServiceReference1.Usuario usuario in Model.usuarios)
					{
						<tr>
							<td>@usuario.id</td>
							<td>@usuario.nombre</td>
							<td>@(usuario.sexo == "M" ? "Masculino" : "Femenino")</td>
							<td>@usuario.fechaNacimiento.ToShortDateString()</td>
							<td class="text-center">
								<a href="@Url.Action("Editar", "Home", new { id = usuario.id })" title="Editar usuario"><i class="fas fa-edit"></i></a>
								<a href="@Url.Action("Borrar", "Home", new { id = usuario.id })" title="Borrar usuario"><i class="fas fa-trash"></i></a>
							</td>
						</tr>
					}
				</tbody>
			</table>
		</div>
	</div>
</div>
